Eclipse Rich Ajax Platform Release 1.3

## org.eclipse.swt.events
Class MenuEvent

    java.lang.Object
      Event
          org.eclipse.swt.events.TypedEvent
              org.eclipse.swt.events.MenuEvent

public final class MenuEvent
extends TypedEvent

Instances of this class are sent as a result of menus being shown and hidden.

IMPORTANT: All `public static` members of this class are not part of the RWT public API. They are marked public only so that they can be shared within the packages provided by RWT. They should never be accessed from application code.

Since:
  1.0
See Also:
  `MenuListener`, Serialized Form

Field Summary
`static int` `MENU_HIDDEN`
`static int` `MENU_SHOWN`

Fields inherited from class org.eclipse.swt.events.TypedEvent
`data, display, widget`

Constructor Summary
`MenuEvent(Event event)` Constructs a new instance of this class based on the information in the given untyped event.
`MenuEvent(Widget widget, int id)` Constructs a new instance of this class.

Method Summary
`static void` `addListener(Adaptable adaptable, MenuListener listener)`
`protected boolean` `allowProcessing()`
`protected void` `dispatchToObserver(Object listener)`
`static Object[]` `getListeners(Adaptable adaptable)`
`protected Class` `getListenerType()`
`static boolean` `hasListener(Adaptable adaptable)`
`static void` `removeListener(Adaptable adaptable, MenuListener listener)`

Methods inherited from class org.eclipse.swt.events.TypedEvent
`executeNext, getSource, processEvent, processScheduledEvents, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MENU_SHOWN

    public static final int MENU_SHOWN

See Also:
  Constant Field Values

### MENU_HIDDEN

    public static final int MENU_HIDDEN

See Also:
  Constant Field Values

Constructor Detail

### MenuEvent

    public MenuEvent(Event event)

  Constructs a new instance of this class based on the information in the given untyped event.

Parameters:
  `event` - the untyped event containing the information

### MenuEvent

    public MenuEvent(Widget widget,
                     int id)

  Constructs a new instance of this class.

  IMPORTANT: This method is not part of the RWT public API. It is marked public only so that it can be shared within the packages provided by RWT. It should never be accessed from application code.

Method Detail

### dispatchToObserver

    protected void dispatchToObserver(Object listener)

  Overrides:
    `dispatchToObserver` in class `TypedEvent`

### getListenerType

    protected Class getListenerType()

  Overrides:
    `getListenerType` in class `TypedEvent`

### allowProcessing

    protected boolean allowProcessing()

  Overrides:
    `allowProcessing` in class `TypedEvent`

### hasListener

    public static boolean hasListener(Adaptable adaptable)

### addListener

    public static void addListener(Adaptable adaptable,
                                   MenuListener listener)

### removeListener

    public static void removeListener(Adaptable adaptable,
                                      MenuListener listener)

### getListeners

    public static Object[] getListeners(Adaptable adaptable)

Eclipse Rich Ajax Platform Release 1.3

Copyright (c) Innoopract Informationssysteme GmbH and others 2002, 2011. All rights reserved.